from django.urls import path

from .views import Index, JobCreate, JobList, JobDetail, ApplicationCreate
from . import autocomplete as autocomplete_views

app_name = 'jobs'
urlpatterns = [
    path('', Index.as_view(), name='index'),
    path('jobs/create/', JobCreate.as_view(), name='create'),
    path('jobs/', JobList.as_view(), name='list'),
    path('jobs/<int:pk>/detail/', JobDetail.as_view(), name='job_detail'),
    path('jobs/<int:job_pk>/apply/', ApplicationCreate.as_view(), name='job_apply'),
]

# autocomplete endpoints
urlpatterns += [
    path(
        'tag-autocomplete/',
        autocomplete_views.TagAutocomplete.as_view(create_field='name'),
        name='tag-autocomplete',
    ),
]